DL_KeyedSchemeOptions< T1, T2 > Struct Template Reference

Discrete Log (DL) key options. More...

Inheritance diagram for DL_KeyedSchemeOptions< T1, T2 >:

## Public Types

typedef T2 | Keys
typedef Keys::PrivateKey | PrivateKey
typedef Keys::PublicKey | PublicKey
Public Types inherited from DL_SchemeOptionsBase< T1, T2::PublicKey::GroupParameters >
typedef T1 | AlgorithmInfo
typedef T2 | GroupParameters
typedef GroupParameters::Element | Element

## Detailed Description

### template<class T1, class T2>
struct DL_KeyedSchemeOptions< T1, T2 >

Discrete Log (DL) key options.

Template Parameters

  T1 | algorithm information
  T2 | keys used in the scheme

Definition at line 1741 of file pubkey.h.

The documentation for this struct was generated from the following file:

- pubkey.h